> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Custom Headcount

> - Discover the count of employees within a specific company who meet designated criteria. 

 - 1 credit per call.



## OpenAPI

````yaml POST /find-custom-headcount
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://web-scraping-api2.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /find-custom-headcount:
    post:
      summary: Custom headcount by filters
      description: >-
        - Discover the count of employees within a specific company who meet
        designated criteria. 

         - 1 credit per call.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                linkedin_url:
                  type: string
                  description: LinkedIn URL of the company.
                  example: https://www.linkedin.com/company/amazon
                keywords:
                  type: string
                  description: ''
                  example: ''
                where_they_live:
                  type: array
                  description: >-
                    Learn how to [find values for
                    where_they_live](https://fdocs.info/tutorial/howto-custom-headcount-inputs#where-they-live)
                  items:
                    type: integer
                  example:
                    - 103644278
                    - 102713980
                where_they_studied:
                  type: array
                  description: >-
                    Learn how to [find values for
                    where_they_studied](https://fdocs.info/tutorial/howto-custom-headcount-inputs#where-they-studied)
                  items:
                    type: integer
                  example:
                    - 2584
                    - 3084
                what_they_do:
                  type: array
                  description: >-
                    Learn how to [find values for
                    what_they_do](https://fdocs.info/tutorial/howto-custom-headcount-inputs#what-they-do)
                  items:
                    type: integer
                  example:
                    - 18
                    - 8
                what_they_are_skilled_at:
                  type: array
                  description: >-
                    Learn how to [find values for
                    what_they_are_skilled_at](https://fdocs.info/tutorial/howto-custom-headcount-inputs#what-they-are-skilled-at)
                  items:
                    type: integer
                  example:
                    - 1346
                    - 147
                what_they_studied:
                  type: array
                  description: >-
                    Learn how to [find values for
                    what_they_studied](https://fdocs.info/tutorial/howto-custom-headcount-inputs#what-they-studied)
                  items:
                    type: integer
                  example:
                    - 100189
                include_subsidiaries:
                  type: string
                  description: 'Default: true'
                  enum:
                    - 'true'
                    - 'false'
                  example: 'false'
              required:
                - linkedin_url
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: ok
                  data:
                    type: object
                    properties:
                      headcount:
                        type: integer
                        example: 2146
        '400':
          description: Invalid payload
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidPayload'
        '404':
          description: Company not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidURL'
        '503':
          description: System Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
components:
  schemas:
    InvalidPayload:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid payload.'
    InvalidURL:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid linkedin_url.'
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: System error. We will fix it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````